#!/usr/bin/env perl

use strict;
use warnings;

my $x = <<EOF;
main=7
 foo=6
  bar=5
   foo=4
    bar=3
     foo=2
      bar=1
EOF

use Test::More;

use FindBin qw( $Bin );

my @s = qw( foo00 foo01 foo10 foo11 );

foreach my $s (@s) {
    my $g = qx($^X $Bin/$s);
    is $g, $x, $s;
}

done_testing;
